# For further information about options in this file see:
#   https://docs.mopidy.com/
#
# The initial commented out values reflect the defaults as of:
#   Mopidy 3.4.1
#   Mopidy-Bandcamp 1.1.5
#   Mopidy-File 3.4.1
#   Mopidy-HTTP 3.4.1
#   Mopidy-Iris 3.65.0
#   Mopidy-Local 3.2.1
#   Mopidy-M3U 3.4.1
#   Mopidy-MPD 3.3.0
#   Mopidy-MPRIS 3.0.3
#   Mopidy-Scrobbler 2.0.1
#   Mopidy-SoftwareMixer 3.4.1
#   Mopidy-SomaFM 2.0.2
#   Mopidy-Spotify 4.1.1
#   Mopidy-Stream 3.4.1
#   Mopidy-YouTube 3.5
#
# Available options and defaults might have changed since then,
# run `mopidy config` to see the current effective config and
# `mopidy --version` to check the current version.

[core]
#cache_dir = $XDG_CACHE_DIR/mopidy
#config_dir = $XDG_CONFIG_DIR/mopidy
#data_dir = $XDG_DATA_DIR/mopidy
#max_tracklist_length = 10000
#restore_state = false

[logging]
#verbosity = 0
#format = %(levelname)-8s %(asctime)s [%(process)d:%(threadName)s] %(name)s\n  %(message)s
#color = true
#config_file = 

[audio]
#mixer = software
#mixer_volume = 
#output = autoaudiosink
#buffer_time = 

[proxy]
#scheme = 
#hostname = 
#port = 
#username = 
#password = 

[spotify]
enabled = false
#username = 
#password = 
#client_id = 
#client_secret = 
#bitrate = 160
#volume_normalization = true
#private_session = false
timeout = 5000
#allow_cache = true
#allow_network = true
#allow_playlists = true
#search_album_count = 20
#search_artist_count = 10
#search_track_count = 50
#toplist_countries = 

[iris]
#enabled = true
#country = NZ
#locale = en_NZ
#verify_certificates = true
#snapcast_enabled = true
#snapcast_host = localhost
#snapcast_port = 1780
#snapcast_ssl = false
#snapcast_stream = Default
#spotify_authorization_url = https://jamesbarnsley.co.nz/iris/auth_spotify.php
#lastfm_authorization_url = https://jamesbarnsley.co.nz/iris/auth_lastfm.php
#genius_authorization_url = https://jamesbarnsley.co.nz/iris/auth_genius.php
#data_dir = $XDG_DATA_DIR/iris

[file]
enabled = false
#media_dirs = 
#  $XDG_MUSIC_DIR|Music
#  ~/|Home
#excluded_file_extensions = 
#  .directory
#  .html
#  .jpeg
#  .jpg
#  .log
#  .nfo
#  .pdf
#  .png
#  .txt
#  .zip
#show_dotfiles = false
#follow_symlinks = false
#metadata_timeout = 1000

[http]
#enabled = true
#hostname = 127.0.0.1
#port = 6680
#zeroconf = Mopidy HTTP server on $hostname
#allowed_origins = 
#csrf_protection = true
#default_app = mopidy

[m3u]
#enabled = true
#base_dir = $XDG_MUSIC_DIR
#default_encoding = latin-1
#default_extension = .m3u8
#playlists_dir = 

[softwaremixer]
#enabled = true

[stream]
#enabled = true
#protocols = 
#  http
#  https
#  mms
#  rtmp
#  rtmps
#  rtsp
#metadata_blacklist = 
#timeout = 5000

[mpd]
#enabled = true
#hostname = 127.0.0.1
#port = 6600
#password = 
#max_connections = 20
#connection_timeout = 60
#zeroconf = Mopidy MPD server on $hostname
#command_blacklist = 
#  listall
#  listallinfo
#default_playlist_scheme = m3u

[local]
#enabled = true
#max_search_results = 100
media_dir = $XDG_MUSIC_DIR
scan_timeout = 5000
#scan_flush_threshold = 100
#scan_follow_symlinks = false
#included_file_extensions = 
#excluded_file_extensions = 
#  .cue
#  .directory
#  .html
#  .jpeg
#  .jpg
#  .log
#  .nfo
#  .pdf
#  .png
#  .txt
#  .zip
#directories = 
#  Albums                  local:directory?type=album
#  Artists                 local:directory?type=artist
#  Composers               local:directory?type=artist&role=composer
#  Genres                  local:directory?type=genre
#  Performers              local:directory?type=artist&role=performer
#  Release Years           local:directory?type=date&format=%25Y
#  Tracks                  local:directory?type=track
#  Last Week's Updates     local:directory?max-age=604800
#  Last Month's Updates    local:directory?max-age=2592000
#timeout = 10
#use_artist_sortname = false
#album_art_files = 
#  *.jpg
#  *.jpeg
#  *.png

[mpris]
#enabled = true
#bus_type = session

[scrobbler]
#enabled = true
#username = 
#password = 

[somafm]
#enabled = true
#encoding = mp3
#quality = fast
dj_as_artist = false

[youtube]
#enabled = true
allow_cache = true
#youtube_api_key = 
#search_results = 15
#playlist_max_videos = 20
#api_enabled = false
#channel_id = 
#musicapi_enabled = false
#musicapi_cookie = 
#autoplay_enabled = false
#strict_autoplay = false
#max_autoplay_length = 600
#max_degrees_of_separation = 3
youtube_dl_package = yt-dlp

[bandcamp]
enabled = false
#discover_pages = 1
#collection_items = 50
discover_genres = 
#  All
#  Electronic
#  Rock
#  Metal
#  Alternative
#  Hip-Hop/Rap
#  Experimental
#  Punk
#  Folk
#  Pop
#  Ambient
#  Soundtrack
#  World
#  Jazz
#  Acoustic
#  Funk
#  R&B/Soul
#  Devotional
#  Classical
#  Reggae
#  Podcasts
#  Country
#  Spoken Word
#  Comedy
#  Blues
#  Kids
#  Audiobooks
#  Latin
discover_tags = 
  Outrun
  Future Funk
  Alternative Hip-Hop
  Cozy Synth
  Post Metal
  Post Punk
#  Tokyo, Japan
#image_sizes = 
#  10
#  5
#  2
#identity =
